when:
  - event: [push, pull_request, pull_request_closed, tag, release, manual]

steps:
  - name: build
    image: floryn90/hugo:ext-alpine
    commands:
    - hugo mod get -u
    - hugo-official --minify --gc --cleanDestinationDir -d /mnt/jcktrue.dk/
    volumes:
     - /home/jct/apps/http/jcktrue.dk/:/mnt/jcktrue.dk/